View Issue Details

IDProjectCategoryView StatusLast Update
0016930MediaMonkey 5DB / Backuppublic2021-09-14 21:58
Reporterrusty Assigned To 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.2Fixed in Version5.0.2 
Summary0016930: Backups can take up huge amount of space without the user realizing
DescriptionIf the user configures scheduled backups, it's possible that they'll take up an inordinate amount of space, and because of how the backups work most users won't even be aware of the problem. Possible fixes could be:
a) when the user clicks 'Backup database now...':
- MM displays a file chooser that defaults to a \backups subdirectory so that the user is aware of where the backups are being saved and so that it's obvious that the files in question are backups

AND

b) perform scheduled backups before MM closes, and launch the backup dialog (rather than doing it in the background). That way when the backup occurs the user will see the huge number of existing backups.
OR
c) add 'Retain backups:' _10_
tooltip: Automatically deletes older backups, retaining only number chosen.
TagsNo tags attached.
Fixed in build2502

Relationships

related to 0018295 closedLudek Alignment and Spacing in Manage database dialog 

Activities

lowlander

2020-10-29 18:16

developer   ~0060019

There should be a setting where user can choose where the database is backed up. Currently it's in the same folder as the database which some may have on a small fast drive which then can run out of storage space. Backups could easily go to larger slower drives or even networked storage.

petr

2021-08-17 10:27

developer   ~0064385

Fixed

lowlander

2021-09-11 18:58

developer   ~0064561

1) Database Backup Location setting is blank after update to 5.0.2. It probably should show the pre-5.0.2 location being used.

2) When changing the database backup location value and running the manual database backup it will backup in the old location, instead of the new user determined location. User needs to OK dialog first, then return to be able to manually backup in user set location.

3) Dialog doesn't provide a Save option to save the Backup settings changes, without running selected database maintenance. This is easy to forget to de-select which then can interrupt MM use for extended period without option to cancel maintenance.

barrym

2021-09-12 02:36

reporter   ~0064563

4) the backup confirmation dbox does not display the backup location

5) the backup location edit control in the Manage Database db is tiny, Could you add a hover tooltip to show the entire path?

barrym

2021-09-12 02:38

reporter   ~0064564

6) The Restore function does not default to the custom backup location

petr

2021-09-12 11:23

developer   ~0064565

Fixed

lowlander

2021-09-13 23:18

developer   ~0064599

Verified on 2502, 1-6 implemented

Ludek

2021-09-14 21:58

developer   ~0064631

4) For me is still the case, fixed in 2503